Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class ToolTipTag

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                              org.richfaces.taglib.ToolTipTagBase
                                  org.richfaces.taglib.ToolTipTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class ToolTipTag

extends ToolTipTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`ToolTipTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAction(javax.el.MethodExpression __action)` MethodBinding pointing at the application action to be invoked, if this UIComponent is activated by you, during the Apply Request Values or Invoke Application phase of the request processing lifecycle, depending on the value of the immediate property Setter for action
`void` | `setActionListener(javax.el.MethodExpression __actionListener)` MethodBinding pointing at method accepting an ActionEvent with return type void Setter for actionListener
`void` | `setAjaxSingle(javax.el.ValueExpression __ajaxSingle)` boolean attribute which provides possibility to limit JSF tree processing(decoding, conversion/validation, value applying) to the component which sends the request only.
`void` | `setAttached(javax.el.ValueExpression __attached)` If the value of the "attached" attribute is "true", a component is attached to the parent component; if "false", component does not listen to activating browser events, but could be activated externally.
`void` | `setDirection(javax.el.ValueExpression __direction)` Defines direction of the popup list to appear.
`void` | `setDisabled(javax.el.ValueExpression __disabled)` If false the components is rendered on the client but JavaScript for calling disabled.
`void` | `setFollowMouse(javax.el.ValueExpression __followMouse)` If "true" tooltip should follow the mouse while it moves over the parent element.
`void` | `setFor(javax.el.ValueExpression __for)` Id of the target component Setter for for
`void` | `setHideDelay(javax.el.ValueExpression __hideDelay)` Delay in milliseconds before tooltip will be hidden.
`void` | `setHideEvent(javax.el.ValueExpression __hideEvent)` Event that triggers the tooltip disappearance.
`void` | `setHorizontalOffset(javax.el.ValueExpression __horizontalOffset)` Sets the horizontal offset between pop-up list and mouse pointer.
`void` | `setImmediate(javax.el.ValueExpression __immediate)` True means, that the default ActionListener should be executed immediately (i.e. during Apply Request Values phase of the request processing lifecycle), rather than waiting until the Invoke Application phase Setter for immediate
`void` | `setLayout(javax.el.ValueExpression __layout)` Block/inline mode flag.
`void` | `setMode(javax.el.ValueExpression __mode)` Controls the way of data loading to a tooltip.
`void` | `setOncomplete(javax.el.ValueExpression __oncomplete)` JavaScript code for call after the tooltip shown Setter for oncomplete
`void` | `setOnhide(javax.el.ValueExpression __onhide)` JavaScript code for call after the tooltip hidden Setter for onhide
`void` | `setOnshow(javax.el.ValueExpression __onshow)` JavaScript code for call after the tooltip called (some element overed) but before its requesting Setter for onshow
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setShowDelay(javax.el.ValueExpression __showDelay)` Delay in milliseconds before tooltip will be displayed.
`void` | `setValue(javax.el.ValueExpression __value)` The current value for this component Setter for value
`void` | `setVerticalOffset(javax.el.ValueExpression __verticalOffset)` Sets the vertical offset between pop-up list and mouse pointer.
`void` | `setZorder(javax.el.ValueExpression __zorder)` The same as CSS z-index for toolTip.

Methods inherited from class org.richfaces.taglib.ToolTipTagBase
`setEvent, setShowEvent`

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### ToolTipTag

    public ToolTipTag()

Method Detail

### setAction

    public void setAction(javax.el.MethodExpression __action)

  MethodBinding pointing at the application action to be invoked, if this UIComponent is activated by you, during the Apply Request Values or Invoke Application phase of the request processing lifecycle, depending on the value of the immediate property Setter for action

  Parameters:
    `action` - - new value

### setActionListener

    public void setActionListener(javax.el.MethodExpression __actionListener)

  MethodBinding pointing at method accepting an ActionEvent with return type void Setter for actionListener

  Parameters:
    `actionListener` - - new value

### setAjaxSingle

    public void setAjaxSingle(javax.el.ValueExpression __ajaxSingle)

  boolean attribute which provides possibility to limit JSF tree processing(decoding, conversion/validation, value applying) to the component which sends the request only. Default value is "true" Setter for ajaxSingle

  Parameters:
    `ajaxSingle` - - new value

### setAttached

    public void setAttached(javax.el.ValueExpression __attached)

  If the value of the "attached" attribute is "true", a component is attached to the parent component; if "false", component does not listen to activating browser events, but could be activated externally. Default value is "true" Setter for attached

  Parameters:
    `attached` - - new value

### setDirection

    public void setDirection(javax.el.ValueExpression __direction)

  Defines direction of the popup list to appear. Possible values are "top-right", "top-left", "bottom-right", "bottom-left", "auto". Default value is "bottom-right" Setter for direction

  Parameters:
    `direction` - - new value

### setDisabled

    public void setDisabled(javax.el.ValueExpression __disabled)

  If false the components is rendered on the client but JavaScript for calling disabled. Default value is "false" Setter for disabled

  Parameters:
    `disabled` - - new value

### setFollowMouse

    public void setFollowMouse(javax.el.ValueExpression __followMouse)

  If "true" tooltip should follow the mouse while it moves over the parent element. Default value is "false" Setter for followMouse

  Parameters:
    `followMouse` - - new value

### setFor

    public void setFor(javax.el.ValueExpression __for)

  Id of the target component Setter for for

  Parameters:
    `for` - - new value

### setHideDelay

    public void setHideDelay(javax.el.ValueExpression __hideDelay)

  Delay in milliseconds before tooltip will be hidden. Default value is "0" Setter for hideDelay

  Parameters:
    `hideDelay` - - new value

### setHideEvent

    public void setHideEvent(javax.el.ValueExpression __hideEvent)

  Event that triggers the tooltip disappearance. Default value is "none" (so, the component does not disappears) Setter for hideEvent

  Parameters:
    `hideEvent` - - new value

### setHorizontalOffset

    public void setHorizontalOffset(javax.el.ValueExpression __horizontalOffset)

  Sets the horizontal offset between pop-up list and mouse pointer. Default value is "10" Setter for horizontalOffset

  Parameters:
    `horizontalOffset` - - new value

### setImmediate

    public void setImmediate(javax.el.ValueExpression __immediate)

  True means, that the default ActionListener should be executed immediately (i.e. during Apply Request Values phase of the request processing lifecycle), rather than waiting until the Invoke Application phase Setter for immediate

  Parameters:
    `immediate` - - new value

### setLayout

    public void setLayout(javax.el.ValueExpression __layout)

  Block/inline mode flag. Possible value are: "inline" or "block". Default value is "inline". Tooltip will contain div/span elements respectively Setter for layout

  Parameters:
    `layout` - - new value

### setMode

    public void setMode(javax.el.ValueExpression __mode)

  Controls the way of data loading to a tooltip. May have following values: "client" (default) and "ajax" Setter for mode

  Parameters:
    `mode` - - new value

### setOncomplete

    public void setOncomplete(javax.el.ValueExpression __oncomplete)

  JavaScript code for call after the tooltip shown Setter for oncomplete

  Parameters:
    `oncomplete` - - new value

### setOnhide

    public void setOnhide(javax.el.ValueExpression __onhide)

  JavaScript code for call after the tooltip hidden Setter for onhide

  Parameters:
    `onhide` - - new value

### setOnshow

    public void setOnshow(javax.el.ValueExpression __onshow)

  JavaScript code for call after the tooltip called (some element overed) but before its requesting Setter for onshow

  Parameters:
    `onshow` - - new value

### setShowDelay

    public void setShowDelay(javax.el.ValueExpression __showDelay)

  Delay in milliseconds before tooltip will be displayed. Default value is "0" Setter for showDelay

  Parameters:
    `showDelay` - - new value

### setValue

    public void setValue(javax.el.ValueExpression __value)

  The current value for this component Setter for value

  Parameters:
    `value` - - new value

### setVerticalOffset

    public void setVerticalOffset(javax.el.ValueExpression __verticalOffset)

  Sets the vertical offset between pop-up list and mouse pointer. Default value is "10" Setter for verticalOffset

  Parameters:
    `verticalOffset` - - new value

### setZorder

    public void setZorder(javax.el.ValueExpression __zorder)

  The same as CSS z-index for toolTip. Default value is "99" Setter for zorder

  Parameters:
    `zorder` - - new value

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `ToolTipTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `ToolTipTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.